package nl.kallestruik.dtweaks.fakeplayer

import io.netty.util.concurrent.Future
import io.netty.util.concurrent.GenericFutureListener
import net.minecraft.network.PacketSendListener
import net.minecraft.network.chat.Component
import net.minecraft.network.protocol.Packet
import net.minecraft.server.MinecraftServer
import net.minecraft.server.network.ServerGamePacketListenerImpl
import javax.annotation.Nullable

class FakePlayerConnection(
    minecraftServer: MinecraftServer,
    connection: FakeConnection,
    player: FakePlayer
): ServerGamePacketListenerImpl(minecraftServer, connection, player) {
    override fun send(packetIn: Packet<*>) {}
    override fun send(packet: Packet<*>, callbacks: PacketSendListener?) {}

    override fun disconnect(message: Component) {
        player.kill()
    }
}